# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Fri Dec  3 11:35:44 2021
# ------------------------------------------------

package:
  name: keyring
  version: 23.4.0
source:
  sha256: 88f206024295e3c6fb16bb0a60fb4bb7ec1185629dc5a729f12aa7c236d01387
  url: https://pypi.io/packages/source/k/keyring/keyring-23.4.0.tar.gz
build:
  entry_points:
    - keyring = keyring.cli:main
  number: '0'
  script: /tmp/build/80754af9/keyring_1638531355686/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . --no-deps -vv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1l h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.7 h12debd9_1
    - readline 8.1 h27cfd23_0
    - setuptools 58.0.4 py39h06a4308_0
    - setuptools-scm 6.3.2 pyhd3eb1b0_0
    - setuptools_scm 6.3.2 hd3eb1b0_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tomli 1.2.2 pyhd3eb1b0_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - importlib_metadata >=3.6
    - jeepney >=0.4.2
    - python >=3.9,<3.10.0a0
    - secretstorage >=3.2
test:
  commands:
    - pip check
    - py.test -v tests
    - keyring --help
  imports:
    - keyring
    - keyring.backends
    - keyring.util
  requires:
    - pip
    - pytest >=6
    - pytest-runner
    - setuptools_scm >=1.15.0
  source_files:
    - tests/*
about:
  description: 'The python keyring lib provides a easy way to access the system keyring

    service from python.  it can be used in any application that needs safe

    password storage.

    '
  dev_url: https://github.com/jaraco/keyring
  doc_source_url: https://github.com/jaraco/keyring/blob/master/readme.rst
  doc_url: https://pypi.org/project/keyring/
  home: https://github.com/jaraco/keyring
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Store and access your passwords safely
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ccordoba12
    - licode
    - tacaswell
